<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: GroupState Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classGroupState.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classGroupState-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GroupState Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abd63266166b098086d0ccebf98b0e269"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#abd63266166b098086d0ccebf98b0e269">GroupState</a> ()</td></tr>
<tr class="separator:abd63266166b098086d0ccebf98b0e269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e52f8db6a65174dc33d69358437bfac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#a6e52f8db6a65174dc33d69358437bfac">GroupState</a> (unsigned long inId, bool inSynchronous = true)</td></tr>
<tr class="separator:a6e52f8db6a65174dc33d69358437bfac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97d7335581b8417e3a4ebf7632d6292c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#a97d7335581b8417e3a4ebf7632d6292c">begin</a> ()</td></tr>
<tr class="separator:a97d7335581b8417e3a4ebf7632d6292c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf65dca9f5cb8a4ef1f1a07ab0a888b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#acf65dca9f5cb8a4ef1f1a07ab0a888b2">StartAction</a> ()</td></tr>
<tr class="separator:acf65dca9f5cb8a4ef1f1a07ab0a888b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9503817779a2774923562e80e812a37"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#ad9503817779a2774923562e80e812a37">ResetAction</a> ()</td></tr>
<tr class="separator:ad9503817779a2774923562e80e812a37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a447de3adf2c1d8e069d1e6480dec9956"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#a447de3adf2c1d8e069d1e6480dec9956">IsActionItemPending</a> ()</td></tr>
<tr class="separator:a447de3adf2c1d8e069d1e6480dec9956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8500c1d72dacb2c210cb243ab6ad849d"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#a8500c1d72dacb2c210cb243ab6ad849d">GetId</a> () const </td></tr>
<tr class="separator:a8500c1d72dacb2c210cb243ab6ad849d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff83f7f1ac81f36355ead09c92ea093c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#aff83f7f1ac81f36355ead09c92ea093c">loop</a> ()</td></tr>
<tr class="separator:aff83f7f1ac81f36355ead09c92ea093c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d3809e4d9e2bcf71f64a32e4152ebb4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGroupState.html#a5d3809e4d9e2bcf71f64a32e4152ebb4">Add</a> (<a class="el" href="classAccessory.html">Accessory</a> *inpAccessory, ACC_STATE inState, unsigned int inDelay = 0)</td></tr>
<tr class="separator:a5d3809e4d9e2bcf71f64a32e4152ebb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a list of accessories, iwth an associated state, under one and only one Id. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00048">48</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="abd63266166b098086d0ccebf98b0e269"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GroupState::GroupState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00065">65</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a6e52f8db6a65174dc33d69358437bfac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GroupState::GroupState </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inSynchronous</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Full constructor. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of this state. </td></tr>
    <tr><td class="paramname">inSynchronous</td><td>If true, the movements of all accessories of the group will be done together. If false, each accessory will wait the end of theprevious accessory movement (plus its delay) to start moving. Default is true. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00047">47</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5d3809e4d9e2bcf71f64a32e4152ebb4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GroupState::Add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classAccessory.html">Accessory</a> *&#160;</td>
          <td class="paramname"><em>inpAccessory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACC_STATE&#160;</td>
          <td class="paramname"><em>inState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>inDelay</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="classGroupState.html#a5d3809e4d9e2bcf71f64a32e4152ebb4">Add</a> a new state item. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inpAccessory</td><td>Address of the accessory. </td></tr>
    <tr><td class="paramname">inState</td><td>state to reach. </td></tr>
    <tr><td class="paramname">inDelay</td><td>The delay gives a duration of the movement, to ensure that this movement is finished before starting the next one.Only used in asynchronous group state. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00076">76</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a97d7335581b8417e3a4ebf7632d6292c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GroupState::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00054">54</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8500c1d72dacb2c210cb243ab6ad849d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long GroupState::GetId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the id of this state. </p><dl class="section return"><dt>Returns</dt><dd>id of this state. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00095">95</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a447de3adf2c1d8e069d1e6480dec9956"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool GroupState::IsActionItemPending </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if a state item has not been executed. </p><dl class="section return"><dt>Returns</dt><dd>true if at least one accessory should still move. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00090">90</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aff83f7f1ac81f36355ead09c92ea093c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GroupState::loop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Main loop function. </p><dl class="section return"><dt>Returns</dt><dd>true if something has been done. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00112">112</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ad9503817779a2774923562e80e812a37"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void GroupState::ResetAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Prepare for a future action </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00085">85</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="acf65dca9f5cb8a4ef1f1a07ab0a888b2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GroupState::StartAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Starts a new action. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00081">81</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classGroupState.html">GroupState</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
